/*----------------------------------------------------------------------+
|									|
| Copyright (1995) Bentley Systems, Inc., All rights reserved.		|
|									|
| "AccuDraw", "MicroStation", "MDL", and "MicroCSL" are trademarks of	|
|  Bentley Systems, Inc.			    	 		|
|									|
| Limited permission is hereby granted to reproduce and modify this	|
| copyrighted material provided that the resulting code is used only in |
| conjunction with Bentley Systems products under the terms of the	|
| license agreement provided therein, and that this notice is retained	|
| in its entirety in any such reproduction or modification.		|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|    Include Files							|
|									|
+----------------------------------------------------------------------*/
#pragma		suppressREQCmds

#include 	<rscdefs.h>
#include 	<cmdclass.h>

#include	"adrwdemo.h"

/*----------------------------------------------------------------------+
|									|
|   Immediate Defines							|
|									|
+----------------------------------------------------------------------*/
#define CT_NONE 		    0
#define CT_MAIN 		    1
#define CT_DEMO			    2

/*----------------------------------------------------------------------+
|									|
|   Command Tables							|
|									|
+----------------------------------------------------------------------*/
Table	CT_MAIN =
{
{ 1, CT_DEMO,     PLACEMENT,	    REQ,		    "DEMO"	}
};

Table CT_DEMO =
{
 { 1, CT_NONE,	    INHERIT, NONE|CMDSTR(MSG_cmdLine),      "LINE"      },
 { 2, CT_NONE,	    INHERIT, NONE|CMDSTR(MSG_cmdCircle),    "CIRCLE"    },
 { 3, CT_NONE,	    INHERIT, NONE|CMDSTR(MSG_cmdRect),      "RECTANGLE" },
 { 4, CT_NONE,	    INHERIT, NONE|CMDSTR(MSG_cmdRect2),     "RECTANGLE2"},
 { 5, CT_NONE,	    INHERIT, NONE|CMDSTR(MSG_cmdChange),    "CHANGE"    },
};


